.TH dc1000 1


.SH NAME
dc1000 \- control the Panasonic dc1000 series of digital cameras


.SH SYNOPSIS
.\" dc1000 [-p port] [-b rate] [-o file] [-Vq] {-hvlLGT|-gtsd index}
.B dc1000
[\-VqhvlLGTgsd]
[\-p port_name]
[\-\-port=port_name]
[\-b baud_rate]
[\-\-baud={9600,19200,38400,57600}]
[\-o file_name]
[\-\-output=file_name]
[\-\-verbose]
[\-\-quiet]
[\-\-silent]
[\-\-help]
[\-\-version]
[\-\-list]
[\-\-listlong]
[\-\-get=index]
[\-\-getall]
[\-t index]
[\-\-thumbnail=index]
[\-\-thumbnailall]
[\-\-show=index]
[\-\-delete=index]


.SH DESCRIPTION
.LP
.B dc1000
is a program to control the Panasonic dc1000 series of digital cameras; it can
be used to preview, download and delete images. The following camera models
are supported: NV-DC1000, PV-DC1000, NV-DC1580, PV-DC1580.


.SH OPTIONS

.TP
\fB\-p\fR, \fB\-\-port\fR=\fIport_name\fR
Specifies the name of the serial port to which the camera is connected.
This overrides the value of the \fBDSCPORT\fR variable.

.TP
\fB\-b\fR, \fB\-\-baud\fR=\fI{9600,19200,38400,57600}\fR
Selects the baud rate at which to communicate with the camera. This
overrides the value of the \fBDSCBAUD\fR variable. \fI9600\fR is used by
default.

.TP
\fB\-o\fR, \fB\-\-output\fR=\fIfile_name\fR
Write to file \fIfile_name\fR, used in conjunction with \fB\-g\fR. Ignored when
downloading more than one image.

.TP
\fB\-V\fR, \fB\-\-verbose\fR
Print detailed information on standard output explaining what is going on.

.TP
\fB\-q\fR, \fB\-\-quiet\fR, \fB\-\-silent\fR
Don't show status indicator while downloading.

.TP
\fB\-h\fR, \fB\-\-help\fR
Print an usage message on standard output and exit.

.TP
\fB\-v\fR, \fB\-\-version\fR
Print version information on standard output and exit.

.TP
\fB\-l\fR, \fB\-\-list\fR
List the contents of the camera memory.

.TP
\fB\-L\fR, \fB\-\-listlong\fR
List the contents of the camera memory, showing size in bytes for each image.

.TP
\fB\-g\fR, \fB\-\-get\fR=\fIindex\fR
Transfer the specified images from the camera.
Image numbers can be specified in intervals, so \fI1\-3,5\fR means image number
1, 2, 3 and 5. Intervals are exclusive or, so \fI1-5,4\fR is another way to
specify the same interval.

.TP
\fB\-G\fR, \fB\-\-getall\fR
Transfer all images from the camera.

.TP
\fB\-t\fR, \fB\-\-thumbnail\fR=\fIindex\fR
Transfer the specified thumbnails from the camera.
Image numbers are specified like in \fB\-g\fR.

.TP
\fB\-T\fR, \fB\-\-thumbnailall\fR
Transfer all thubmnails from the camera.

.TP
\fB\-s\fR, \fB\-\-show\fR=\fIindex\fR
Show the specified images on the camera display.
Image numbers are specified like in \fB\-g\fR.
(This does not work with dc1580 cameras.)

.TP
\fB\-d\fR, \fB\-\-delete\fR=\fIindex\fR
Delete the specified images from the camera memory.
Image numbers are specified like in \fB\-g\fR.


.SH ENVIRONMENT
.LP
.B dc1000
will normally use the following environment variables:
.TP
.B DSCPORT
The name of the serial port to which the camera is connected.
.TP
.B DSCBAUD
The baud rate at which to communicate with the camera.


.SH AUTHOR
.LP
Fredrik Roubert <roubert@df.lth.se>
.LP
The program is written by reverse engineering the communications protocol, and
is in no way connected with Panasonic. The program and it's source code is
freeware, which means you are free to do whatever you want with it. However,
I'd appreciate if you give me credits if you use the code in some application
of your own.
.LP
If you improve anything in the source code, please send the improved code to me
so I can include it in the main distribution for the benefit of all users of
the program.
.LP
Information about new releases and other related issues can be found on the
dc1000 webpage at:

http://www.df.lth.se/~roubert/dc1000/


.SH COPYRIGHT
Copyright \(co 2000 Fredrik Roubert <roubert@df.lth.se>
dc1580 code copyright \(co 1999 Galen Brooks <galen@nine.com>
This program comes with NO WARRANTY, to the extent permitted by law.
You may freely distribute copies of the program as long as this
copyright notice is left intact.


.SH SEE ALSO
.BR ttys (4),
.BR setserial (8)

